# Get contact details

URL: /en/docs/api/v1/contacts/id/get
Last Updated: 2026-07-30T21:15:29.756Z

## Description
No description available.

## Available Actions
- Execute GET request
- View request parameters
- View response schema
- Get code examples
- Navigate to related topics
- View step-by-step instructions
- Get best practices

## Content
### GET /api/v1/contacts/{id}

**Get contact details**

Retrieve detailed information about a specific contact including documents, revisions, and access requests

**Authentication:** Bearer token (`Authorization: Bearer <token>`)

**Path parameters:**

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | Yes | Contact ID |

**Query parameters:**

| Name | Type | Required | Description |
|---|---|---|---|
| `analytics` | boolean | No | Set to true to include contact analytics summary in the response. |

**Responses:**

- `200` - Successfully retrieved contact details
  - `contact` (ContactDetail (object))
    - `id` (string (uuid))
    - `email` (string (email))
    - `first_name` (string)
    - `last_name` (string)
    - `title` (string)
    - `review_status` (enum: to_review | in_review | approved | rejected): Review status of the contact
    - `documents` (array of object)
      - `documents_id` (object)
        - `id` (string)
        - `title` (string)
        - `description` (string)
        - `state` (string)
        - `access_level` (string)
    - `access_requests` (array of object)
      - `id` (string)
      - `review_status` (enum: to_review | approved | partially_approved | rejected)
      - `date_created` (string (date-time))
      - `date_updated` (string (date-time))
      - `user_updated` (object): User who last updated this access request
        - `id` (string (uuid))
        - `first_name` (string)
        - `last_name` (string)
        - `email` (string (email))
      - `documents` (array of object)
  - `documents` (array of DocumentWithStatus (object))
    - `id` (string)
    - `title` (string)
    - `description` (string)
    - `state` (string)
    - `access_level` (enum: public | restricted | requires_nda | internal)
    - `is_shared` (boolean): Whether this document is shared with the contact
    - `file` (string): URL to the document file
    - `category` (object)
      - `id` (string)
      - `title` (string)
  - `revisions` (array of Revision (object))
    - `id` (string)
    - `delta` (object): Changed fields and values
    - `activity` (string): Type of activity
    - `timestamp` (string (date-time))
    - `user` (string): User who made the change
  - `accessRequests` (array of AccessRequest (object))
    - `id` (string)
    - `review_status` (enum: to_review | approved | partially_approved | rejected)
    - `date_created` (string (date-time))
    - `date_updated` (string (date-time))
    - `user_updated` (object): User who last updated this access request
      - `id` (string (uuid))
      - `first_name` (string)
      - `last_name` (string)
      - `email` (string (email))
    - `documents` (array of object)
      - `documents_id` (object)
        - `id` (string)
        - `title` (string)
        - `description` (string)
        - `state` (string)
        - `access_level` (string)
  - `ndaAcceptances` (array of NdaAcceptance (object)): NDA acceptances for this contact
    - `id` (string (uuid))
    - `date_created` (string (date-time))
    - `date_updated` (string (date-time))
    - `method` (enum: email | link | clickwrap)
    - `file` (string (uri))
    - `template` (object)
      - `title` (string)
      - `type` (string)
  - `customFields` (array of CustomFieldValue (object)): Custom field values for this contact
    - `id` (string (uuid)): Custom field value ID
    - `value` (string): The actual value stored for this field
    - `template` (object): The custom field template definition
      - `id` (string (uuid))
      - `title` (string)
      - `type` (enum: text | number | boolean | date | select | multi_select)
      - `collection` (enum: accounts | contacts)
      - `translations` (array of object)
        - `languages_code` (string)
        - `title` (string)
      - `options` (array of object)
        - `value` (string)
        - `label` (array of object)
          - `languages_code` (string)
          - `translation` (string)
  - `contactAnalyticsSummary` (object): Present when `analytics=true`; otherwise null.
    - `views` (integer, required): Total document views by this contact across all time.
    - `downloads` (integer, required): Total document downloads by this contact across all time.
    - `topSearchTerms` (array of ContactSearchStat (object), required)
      - `query` (string, required): Search term entered by the contact.
      - `count` (integer, required): Number of times this term was searched.
- `400` - Bad Request - Contact ID is required
- `401` - Unauthorized - invalid or missing token
- `404` - Not Found - Contact not found
- `500` - Internal server error

**Code samples:**

cURL:

```bash
curl -X GET "https://app.orbiqhq.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000" \
  -H "Authorization: Bearer $ACCESS_TOKEN"

```

cURL (with analytics):

```bash
curl -X GET "https://app.orbiqhq.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000?analytics=true" \
  -H "Authorization: Bearer $ACCESS_TOKEN"

```

